Uploaded image for project: 'Apache NiFi'
  1. Apache NiFi
  2. NIFI-1296

Add capabilities to Kafka NAR to use new Kafka API (0.9)

    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 0.4.0
    • 1.0.0, 0.7.0, 1.0.0-Beta
    • Core Framework
    • None

    Description

      Not sure when can we address this, but the interesting comment in https://github.com/apache/nifi/pull/143. The usage of new API may introduce issues with running against older Kafka brokers (e.g., 0.8). Need to investigate.

      Attachments

        Issue Links

          Activity

            People

              ozhurakousky Oleg Zhurakousky
              ozhurakousky Oleg Zhurakousky
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: